Stock adjustment items
Replace a stock adjustment item
Completely replaces the data of an existing stock adjustment item with the provided payload.
Completely replaces the data of an existing stock adjustment item with the provided payload.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
StockAdjustmentItem identifier
Request Body
application/json
The updated StockAdjustmentItem resource
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://api.skalasuite.com/api/stock_adjustment_items/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": 0,
"stock": "/entity/1",
"stockVariant": "/entity/1",
"quantity": "string",
"inStock": "string",
"unitPrice": "string",
"totalPrice": "string",
"normalizedUnitPrice": "string",
"normalizedTotalPrice": "string",
"barcode": "string",
"expirationDate": "2019-08-24T14:15:22Z",
"currentAmount": 0,
"batchNumber": "string"
}Empty
Empty
Empty
